//
//  setup_feedrate_dlg.cpp - setup feed rates dialog class implementation
//
//  $Id: setup_feedrate_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupFeedDlg dialog
//
CSetupFeedDlg::CSetupFeedDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupFeedDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupFeedDlg)
	m_MaxAngle = "";
	m_FeedAccel = "";
	m_FeedDecel = "";
	m_FeedRate = "";
	m_MaxFeedRate = "";
	//}}AFX_DATA_INIT
}

void CSetupFeedDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupFeedDlg)
	DDX_Text(pDX, IDC_MAX_ANGLE, m_MaxAngle);
	DDX_Text(pDX, IDC_FEED_ACCEL, m_FeedAccel);
	DDX_Text(pDX, IDC_FEED_DECEL, m_FeedDecel);
	DDX_Text(pDX, IDC_FEED_RATE, m_FeedRate);
	DDX_Text(pDX, IDC_MAX_FEED_RATE, m_MaxFeedRate);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupFeedDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupFeedDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupFeedDlg message handlers
